Package com.ads.mm.db.dao

# Class DBIndex

java.lang.Object
com.ads.mm.db.dao.DBIndex

public class DBIndex extends Object

Author:
  Srinivas Javvaji

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBIndex()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addColumn(DBColumn column)`
  Adds the column as specified.
  `DBColumn`
  `getColumn(String columnName)`
  `Collection<DBColumn>`
  `getColumns()`
  `DBOperationHelper`
  `getDBOperationHelper()`
  `int`
  `getId()`
  `String`
  `getName()`
  `int`
  `getOrdinalPosition()`
  `String`
  `getOwner()`
  `String`
  `getSortOrder()`
  `int`
  `getTableId()`
  `String`
  `getType()`
  `String`
  `getUniqueness()`
  `Object`
  `getUserData()`
  `void`
  `setColumns(List<DBColumn> columns)`
  `void`
  `setDBOperationHelper(DBOperationHelper dbOperationHelper)`
  `void`
  `setId(int id)`
  `void`
  `setName(String name)`
  `void`
  `setOrdinalPosition(int ordinalPosition)`
  `void`
  `setOwner(String owner)`
  `void`
  `setSortOrder(String sortOrder)`
  `void`
  `setTableId(int tableId)`
  `void`
  `setType(String type)`
  `void`
  `setUniqueness(String uniqueness)`
  `void`
  `setUserData(Object userData)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DBIndex

    public DBIndex()

- ## Method Details

  - ### getColumn

    public DBColumn getColumn(String columnName)
    Parameters:
      `columnName` -
    Returns:

  - ### getColumns

    public Collection<DBColumn> getColumns()
    Returns:

  - ### addColumn

    public void addColumn(DBColumn column)
    Adds the column as specified.
    Parameters:
      `column` - SMColumn Object

  - ### setColumns

    public void setColumns(List<DBColumn> columns)
    Parameters:
      `columns` -

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getTableId

    public int getTableId()

  - ### setTableId

    public void setTableId(int tableId)

  - ### getOwner

    public String getOwner()

  - ### setOwner

    public void setOwner(String owner)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getUniqueness

    public String getUniqueness()

  - ### setUniqueness

    public void setUniqueness(String uniqueness)

  - ### getSortOrder

    public String getSortOrder()

  - ### setSortOrder

    public void setSortOrder(String sortOrder)

  - ### getOrdinalPosition

    public int getOrdinalPosition()

  - ### setOrdinalPosition

    public void setOrdinalPosition(int ordinalPosition)

  - ### getUserData

    public Object getUserData()

  - ### setUserData

    public void setUserData(Object userData)

  - ### getDBOperationHelper

    public DBOperationHelper getDBOperationHelper()

  - ### setDBOperationHelper

    public void setDBOperationHelper(DBOperationHelper dbOperationHelper)